use iced::executor;
use iced::window;
use iced::Application;
use iced::Command;
use iced::Length;
use iced::Settings;
use iced::Theme;

use iced::widget::{column, container};

struct Voids {}

impl Application for Voids {
    type Executor = executor::Default;

    type Message = ();

    type Theme = Theme;

    type Flags = ();

    fn new(_flags: Self::Flags) -> (Self, iced::Command<Self::Message>) {
        (Voids {}, Command::none())
    }

    fn title(&self) -> String {
        "voids dummy".to_string()
    }

    fn update(&mut self, _message: Self::Message) -> iced::Command<Self::Message> {
        Command::none()
    }

    fn view(&self) -> iced::Element<'_, Self::Message, iced::Renderer<Self::Theme>> {
        let content = column![];
        container(content)
            .width(Length::Fill)
            .height(Length::Fill)
            .padding(20)
            .into()
    }
}

pub fn main() -> iced::Result {
    #[cfg(not(target_arch = "wasm32"))]
    Voids::run(Settings {
        window: window::Settings {
            size: (500, 800),
            ..window::Settings::default()
        },
        ..Settings::default()
    })
}
